# This is Bisqwit's generic subdirs.mak, included from Makefile.
# The same file is used in many different projects.
# For complex systems.
#
# subdirs.mak version 1.0.1
# 
# Required files:
#   depfun.mak
#   ./configure
#
# Generated files:
#   config.log
#
# Targets:
#   all
#   thisclean
#   clean
#   distclean
#   config.log
#
# Required settings:
#   PROGS=prog1 prog2 prog3...
#   SUBDIRS=dir1 dir2 dir3...

all: config.log $(PROGS)
	@for s in $(SUBDIRS) "";do if test ! "$$s" = "";then make -C "$$s" all;fi;done

include depfun.mak

thisclean:
	rm -f $(PROGS) *.o
clean: thisclean
	@for s in $(SUBDIRS) "";do if test ! "$$s" = "";then make -C "$$s" clean;fi;done
distclean: thisclean
	rm -f *~ .depend config.log
	@for s in $(SUBDIRS) "";do if test ! "$$s" = "";then make -C "$$s" distclean;fi;done
realclean: distclean

config.log: configure
	@ ./configure
	@ cat config.log >/dev/null 2>&1
